Skip to main content
`Ctrl`+`K`

# MatMkl_PardisoSetCntl

Set MKL PARDISO https://www.intel.com/content/www/us/en/docs/onemkl/developer-reference-c/2023-2/onemkl-pardiso-parallel-direct-sparse-solver-iface.html parameters

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMkl_PardisoSetCntl(Mat F, PetscInt icntl, PetscInt ival)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- icntl - index of MKL PARDISO parameter

- ival - value of MKL PARDISO parameter

## Options Database Key

- -mat_mkl_pardiso_ - change the option numbered icntl to the value ival

## See Also

Matrices, `Mat`, `MATSOLVERMKL_PARDISO`, `MatGetFactor()`

## Level

beginner

## Location

src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages